# geometry< HState, HTransition, Coords > Struct Template Reference

Store 4 maps for geometry properties of the automaton. More...

Inheritance diagram for geometry< HState, HTransition, Coords >:
[legend]

List of all members.

## Public Member Functions

states_geometry_map_t & | states ()
| Retrieve the map of state coordinates.
transitions_geometry_map_t & | transitions ()
| Retrieve the map of label coordinates for transitions.
initials_geometry_map_t & | initials ()
| Retrieve the map of label coordinates for initial transitions.
finals_geometry_map_t & | finals ()
| Retrieve the map of label coordinates for final transitions.
std::string & | name ()
| Retrieve the name of the automaton.

## Detailed Description

### template<typename HState, typename HTransition, typename Coords>
struct vcsn::geometry< HState, HTransition, Coords >

Store 4 maps for geometry properties of the automaton.

states_ map is used to store states coordinates. transitions_ map is used to store the label position for transitions. initials_ map is used to store the label position for initial transitions. finals_ map is used to store the label position for final transitions.

Definition at line 36 of file geometry.hh.